CenturyLink Cloud CLI & Python SDK
Clone or download
Fetching latest commit…
Cannot retrieve the latest commit at this time.
Permalink
Type Name Latest commit message Commit time
Failed to load latest commit information.
.idea
doc
examples
src
tests
.gitignore
.python-version
LICENSE
README.md
README_CLI.md
README_PYTHON_APIV1_SDK.md
README_PYTHON_APIV2_SDK.md
requirements.txt

README.md

CenturyLink Cloud CLI and Python SDK

This repository contains a Python SDK and a command line interface CLI (based on the SDK) to interact with the CenturyLink Cloud API. At present this aligns most closely to V1 of the CenturyLink Cloud API though efforts are in process to merge V2 API as it nears full release.

Contents

Installing

Via Python's pip

Cross-platform installation is available via pypi. Requires Python 2.7 - this is not currently compatible with Python 3. If you have pip already installed the following command will get you running:

> pip install clc-sdk

This should automatically install the following dependencies used by the CLI: prettytable, clint, argparse, requests

If you do not have pip (the Python package manager) installed a quickstart install of this prereq on Linux/Mac is:

> curl https://bootstrap.pypa.io/get-pip.py | sudo python

Windows pre-packaged executable

The CLI is available as a prepackaged single-file Windows executable and the most recent compiled version is always available here. Note also that all examples below will need to be modified since the Windows command line executable is clc-cli (to eliminate conflict with the a standard installed PS commandlet.